<script setup>
import Settings from 'modules/settings';
import ProgBar from 'ui/components/progbar.vue';
import Game from '../../game';
import { useRollOver } from '../../store/popups';
import { useHidable } from '../composables/use-hidable';
/**
 * Display the progress bars listed.
 */

const props = defineProps(['bars']);

let ops = Settings.getSubVars('bars');
if (!ops.hide) ops.hide = {};

const hide = ref(ops.hide);

const { inConfig, hides, canShow } = useHidable();

const { itemOver } = useRollOver();

const baseItems = computed(() => {

	const res = [];

	const a = props.bars;
	for (let i = a.length - 1; i >= 0; i--) {

		const it = Game.state.getData(a[i]);
		if (it) res.push(it);

	}

	return res;

});

const itemList = computed(() => {
	return baseItems.value.filter(v => canShow(v))
});
</script>

<template>

	<!-- anything not table is a headache -->
	<div class="statbars">

		<div class="hidable statbar" v-for="it in itemList" :key="it.key" :data-key="it.id">
			<span class="name">{{ it.name }}</span><span class="barspan">
				<ProgBar  :class="it.id"
				:value="it.valueOf()"
				:max="it.max.value"
				:color="it.color"
			@mouseenter.native.capture.stop="itemOver($event, it)"/></span></div>

	</div>

</template>